umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
FindNamedClassVisitor Class Reference
Inheritance diagram for FindNamedClassVisitor:

## Public Member Functions
| FindNamedClassVisitor (ASTContext *Context)
bool | VisitStmt (Stmt *s)
bool | VisitCXXRecordDecl (CXXRecordDecl *Declaration)

## Private Attributes
ASTContext * | Context

## Constructor & Destructor Documentation

## ◆ FindNamedClassVisitor()

FindNamedClassVisitor::FindNamedClassVisitor | ( | ASTContext * | Context | ) |
| inline explicit

## Member Function Documentation

## ◆ VisitCXXRecordDecl()

bool FindNamedClassVisitor::VisitCXXRecordDecl | ( | CXXRecordDecl * | Declaration | ) |
| inline

## ◆ VisitStmt()

bool FindNamedClassVisitor::VisitStmt | ( | Stmt * | s | ) |
| inline

## Member Data Documentation

## ◆ Context

ASTContext* FindNamedClassVisitor::Context
| private

The documentation for this class was generated from the following file:

- unittests/testllvmparser.cpp